Model Registry
Create and manage experiments, features, and other machine learning artifacts
List Transition Requests GA
GET
Gets a list of all open stage transition requests for the model version.
API scopes: mlflow
Parameters
- namestringquery
Name of the registered model.
- versionstringquery
Version of the model.
Response
- requestsarray of object
Array of open transition requests.
Show child attributesHide child attributes
- creation_timestampint64
Creation time of the object, as a Unix timestamp in milliseconds.
- user_idstring
The username of the user that created the object.
- activity_typestring
- commentstring
User-provided comment associated with the activity, comment, or transition request.
- last_updated_timestampint64
Time of the object at last update, as a Unix timestamp in milliseconds.
- from_stagestring
Source stage of the transition (if the activity is stage transition related). Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- to_stagestring
Target stage of the transition (if the activity is stage transition related). Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- system_commentstring
Comment made by system, for example explaining an activity of type
SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.
- available_actionsarray of string
Array of actions on the activity allowed for the current viewer.
- idstring
Unique identifier for the object.
Approve Transition Request GA
POST
Approves a model version stage transition request.
API scopes: mlflow
Request body
- namestring
Name of the model.
- versionstring
Version of the model.
- stagestring
Target stage of the transition. Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- archive_existing_versionsboolean
Specifies whether to archive all current model versions in the target stage.
- commentstring
User-provided comment on the action.
Response
- activityobject
New activity generated as a result of this operation.
Show child attributesHide child attributes
- creation_timestampint64
Creation time of the object, as a Unix timestamp in milliseconds.
- user_idstring
The username of the user that created the object.
- activity_typestring
- commentstring
User-provided comment associated with the activity, comment, or transition request.
- last_updated_timestampint64
Time of the object at last update, as a Unix timestamp in milliseconds.
- from_stagestring
Source stage of the transition (if the activity is stage transition related). Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- to_stagestring
Target stage of the transition (if the activity is stage transition related). Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- system_commentstring
Comment made by system, for example explaining an activity of type
SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.
- available_actionsarray of string
Array of actions on the activity allowed for the current viewer.
- idstring
Unique identifier for the object.
Create Comment GA
POST
Posts a comment on a model version. A comment can be submitted either by a user or programmatically to display relevant information about the model. For example, test results or deployment errors.
API scopes: mlflow
Request body
- namestring
Name of the model.
- versionstring
Version of the model.
- commentstring
User-provided comment on the action.
Response
- commentobject
New comment object
Show child attributesHide child attributes
- creation_timestampint64
Creation time of the object, as a Unix timestamp in milliseconds.
- user_idstring
The username of the user that created the object.
- activity_typestring
- commentstring
User-provided comment associated with the activity, comment, or transition request.
- last_updated_timestampint64
Time of the object at last update, as a Unix timestamp in milliseconds.
- from_stagestring
Source stage of the transition (if the activity is stage transition related). Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- to_stagestring
Target stage of the transition (if the activity is stage transition related). Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- system_commentstring
Comment made by system, for example explaining an activity of type
SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.
- available_actionsarray of string
Array of actions on the activity allowed for the current viewer.
- idstring
Unique identifier for the object.
Create Transition Request GA
POST
Creates a model version stage transition request.
API scopes: mlflow
Request body
- namestring
Name of the model.
- versionstring
Version of the model.
- stagestring
Target stage of the transition. Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- commentstring
User-provided comment on the action.
Response
- requestobject
New activity generated for stage transition request.
Show child attributesHide child attributes
- creation_timestampint64
Creation time of the object, as a Unix timestamp in milliseconds.
- user_idstring
The username of the user that created the object.
- activity_typestring
- commentstring
User-provided comment associated with the activity, comment, or transition request.
- last_updated_timestampint64
Time of the object at last update, as a Unix timestamp in milliseconds.
- from_stagestring
Source stage of the transition (if the activity is stage transition related). Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- to_stagestring
Target stage of the transition (if the activity is stage transition related). Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- system_commentstring
Comment made by system, for example explaining an activity of type
SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.
- available_actionsarray of string
Array of actions on the activity allowed for the current viewer.
- idstring
Unique identifier for the object.
Delete Comment GA
Delete Transition Request GA
DELETE
Cancels a model version stage transition request.
API scopes: mlflow
Parameters
- namestringquery
Name of the model.
- versionstringquery
Version of the model.
- stagestringquery
Target stage of the transition request. Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- creatorstringquery
Username of the user who created this request. Of the transition requests matching the specified details, only the one transition created by this user will be deleted.
- commentstringquery
User-provided comment on the action.
Response
- activityobject
New activity generated as a result of this operation.
Show child attributesHide child attributes
- creation_timestampint64
Creation time of the object, as a Unix timestamp in milliseconds.
- user_idstring
The username of the user that created the object.
- activity_typestring
- commentstring
User-provided comment associated with the activity, comment, or transition request.
- last_updated_timestampint64
Time of the object at last update, as a Unix timestamp in milliseconds.
- from_stagestring
Source stage of the transition (if the activity is stage transition related). Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- to_stagestring
Target stage of the transition (if the activity is stage transition related). Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- system_commentstring
Comment made by system, for example explaining an activity of type
SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.
- available_actionsarray of string
Array of actions on the activity allowed for the current viewer.
- idstring
Unique identifier for the object.
Get Registered Model Databricks GA
GET
Get the details of a model. This is a <Databricks> workspace version of the MLflow endpoint that also returns the model's <Databricks> workspace ID and the permission level of the requesting user on the model.
API scopes: mlflow
Parameters
- namestringquery
Registered model unique name identifier.
Response
- registered_model_databricksobject
Show child attributesHide child attributes
- namestring
Name of the model.
- creation_timestampint64
Creation time of the object, as a Unix timestamp in milliseconds.
- last_updated_timestampint64
Last update time of the object, as a Unix timestamp in milliseconds.
- user_idstring
The username of the user that created the object.
- descriptionstring
User-specified description for the object.
- latest_versionsarray of object
Array of model versions, each the latest version for its stage.
Show child attributesHide child attributes
- namestring
Unique name of the model
- versionstring
Model's version number.
- creation_timestampint64
Timestamp recorded when this
model_versionwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
model_versionwas last updated.
- user_idstring
User that created this
model_version.
- current_stagestring
Current stage for this
model_version.
- descriptionstring
Description of this
model_version.
- sourcestring
URI indicating the location of the source model artifacts, used when creating
model_version
- run_idstring
MLflow run ID used when creating
model_version, ifsourcewas generated by an experiment run stored in MLflow tracking server.
- statusstring
Current status of
model_version
- status_messagestring
Details on current
status, if it is pending or failed.
- tagsarray of object
Tags: Additional metadata key-value pairs for this
model_version.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
Run Link: Direct link to the run that generated this version
- idstring
Unique identifier for the object.
- permission_levelstring
Permission level granted for the requesting user on this registered model
- tagsarray of object
Array of tags associated with the model.
Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
Reject Transition Request GA
POST
Rejects a model version stage transition request.
API scopes: mlflow
Request body
- namestring
Name of the model.
- versionstring
Version of the model.
- stagestring
Target stage of the transition. Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- commentstring
User-provided comment on the action.
Response
- activityobject
New activity generated as a result of this operation.
Show child attributesHide child attributes
- creation_timestampint64
Creation time of the object, as a Unix timestamp in milliseconds.
- user_idstring
The username of the user that created the object.
- activity_typestring
- commentstring
User-provided comment associated with the activity, comment, or transition request.
- last_updated_timestampint64
Time of the object at last update, as a Unix timestamp in milliseconds.
- from_stagestring
Source stage of the transition (if the activity is stage transition related). Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- to_stagestring
Target stage of the transition (if the activity is stage transition related). Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- system_commentstring
Comment made by system, for example explaining an activity of type
SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.
- available_actionsarray of string
Array of actions on the activity allowed for the current viewer.
- idstring
Unique identifier for the object.
Test Registry Webhook GA
POST
NOTE: This endpoint is in Public Preview. Tests a registry webhook.
API scopes: mlflow
Request body
- idstring
Webhook ID
- eventstring
If
eventis specified, the test trigger uses the specified event. Ifeventis not specified, the test trigger uses a randomly chosen event associated with the webhook.
Response
- status_codeint32
Status code returned by the webhook URL
- bodystring
Body of the response from the webhook URL
Transition Model Version Stage Databricks GA
POST
Transition a model version's stage. This is a <Databricks> workspace version of the MLflow endpoint that also accepts a comment associated with the transition to be recorded.
API scopes: mlflow
Request body
- namestring
Name of the model.
- versionstring
Version of the model.
- stagestring
Target stage of the transition. Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- archive_existing_versionsboolean
Specifies whether to archive all current model versions in the target stage.
- commentstring
User-provided comment on the action.
Response
- model_version_databricksobject
Updated model version
Show child attributesHide child attributes
- namestring
Name of the model.
- versionstring
Version of the model.
- creation_timestampint64
Creation time of the object, as a Unix timestamp in milliseconds.
- last_updated_timestampint64
Time of the object at last update, as a Unix timestamp in milliseconds.
- user_idstring
The username of the user that created the object.
- current_stagestring
- descriptionstring
User-specified description for the object.
- sourcestring
URI that indicates the location of the source model artifacts. This is used when creating the model version.
- run_idstring
Unique identifier for the MLflow tracking run associated with the source model artifacts.
- statusstring
- status_messagestring
Details on the current status, for example why registration failed.
- open_requestsarray of object
Open requests for this
model_versions. Gap in sequence number is intentional and is done in order to match field sequence numbers ofModelVersionproto messageShow child attributesHide child attributes
- creation_timestampint64
Creation time of the object, as a Unix timestamp in milliseconds.
- user_idstring
The username of the user that created the object.
- activity_typestring
- commentstring
User-provided comment associated with the activity, comment, or transition request.
- last_updated_timestampint64
Time of the object at last update, as a Unix timestamp in milliseconds.
- from_stagestring
Source stage of the transition (if the activity is stage transition related). Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- to_stagestring
Target stage of the transition (if the activity is stage transition related). Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- system_commentstring
Comment made by system, for example explaining an activity of type
SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.
- available_actionsarray of string
Array of actions on the activity allowed for the current viewer.
- idstring
Unique identifier for the object.
- permission_levelstring
- tagsarray of object
Array of tags that are associated with the model version.
Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
URL of the run associated with the model artifacts. This field is set at model version creation time only for model versions whose source run is from a tracking server that is different from the registry server.
- email_subscription_statusstring
Email Subscription Status: This is the subscription status of the user to the model version Users get subscribed by interacting with the model version.
- feature_listobject
Feature lineage of
model_version.Show child attributesHide child attributes
- featuresarray of object
Show child attributesHide child attributes
- feature_table_namestring
Feature table name
- feature_namestring
Feature name
- feature_table_idstring
Feature table id
Update Comment GA
PATCH
Post an edit to a comment on a model version.
API scopes: mlflow
Request body
- idstring
Unique identifier of an activity
- commentstring
User-provided comment on the action.
Response
- commentobject
Updated comment object
Show child attributesHide child attributes
- creation_timestampint64
Creation time of the object, as a Unix timestamp in milliseconds.
- user_idstring
The username of the user that created the object.
- activity_typestring
- commentstring
User-provided comment associated with the activity, comment, or transition request.
- last_updated_timestampint64
Time of the object at last update, as a Unix timestamp in milliseconds.
- from_stagestring
Source stage of the transition (if the activity is stage transition related). Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- to_stagestring
Target stage of the transition (if the activity is stage transition related). Valid values are:
-
None: The initial stage of a model version. -
Staging: Staging or pre-production stage. -
Production: Production stage. -
Archived: Archived stage.
-
- system_commentstring
Comment made by system, for example explaining an activity of type
SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.
- available_actionsarray of string
Array of actions on the activity allowed for the current viewer.
- idstring
Unique identifier for the object.
List Latest Versions GA
POST
Gets the latest version of a registered model.
API scopes: mlflow
Request body
- namestring
Registered model unique name identifier.
- stagesarray of string
List of stages.
Response
- model_versionsarray of object
Latest version models for each requests stage. Only return models with current
READYstatus. If nostagesprovided, returns the latest version for each stage, including"None".Show child attributesHide child attributes
- namestring
Unique name of the model
- versionstring
Model's version number.
- creation_timestampint64
Timestamp recorded when this
model_versionwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
model_versionwas last updated.
- user_idstring
User that created this
model_version.
- current_stagestring
Current stage for this
model_version.
- descriptionstring
Description of this
model_version.
- sourcestring
URI indicating the location of the source model artifacts, used when creating
model_version
- run_idstring
MLflow run ID used when creating
model_version, ifsourcewas generated by an experiment run stored in MLflow tracking server.
- statusstring
Current status of
model_version
- status_messagestring
Details on current
status, if it is pending or failed.
- tagsarray of object
Tags: Additional metadata key-value pairs for this
model_version.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
Run Link: Direct link to the run that generated this version
Create Model Version GA
POST
Creates a model version.
API scopes: mlflow
Request body
- namestring
Register model under this name
- sourcestring
URI indicating the location of the model artifacts.
- run_idstring
MLflow run ID for correlation, if
sourcewas generated by an experiment run in MLflow tracking server
- tagsarray of object
Additional metadata for model version.
Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
MLflow run link - this is the exact link of the run that generated this model version, potentially hosted at another instance of MLflow.
- descriptionstring
Optional description for model version.
Response
- model_versionobject
Return new version number generated for this model in registry.
Show child attributesHide child attributes
- namestring
Unique name of the model
- versionstring
Model's version number.
- creation_timestampint64
Timestamp recorded when this
model_versionwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
model_versionwas last updated.
- user_idstring
User that created this
model_version.
- current_stagestring
Current stage for this
model_version.
- descriptionstring
Description of this
model_version.
- sourcestring
URI indicating the location of the source model artifacts, used when creating
model_version
- run_idstring
MLflow run ID used when creating
model_version, ifsourcewas generated by an experiment run stored in MLflow tracking server.
- statusstring
Current status of
model_version
- status_messagestring
Details on current
status, if it is pending or failed.
- tagsarray of object
Tags: Additional metadata key-value pairs for this
model_version.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
Run Link: Direct link to the run that generated this version
Delete Model Version GA
Delete Model Version Tag GA
DELETE
Deletes a model version tag.
API scopes: mlflow
Parameters
- namestringquery
Name of the registered model that the tag was logged under.
- versionstringquery
Model version number that the tag was logged under.
- keystringquery
Name of the tag. The name must be an exact match; wild-card deletion is not supported. Maximum size is 250 bytes.
Delete Registered Model Tag GA
DELETE
Deletes the tag for a registered model.
API scopes: mlflow
Parameters
- namestringquery
Name of the registered model that the tag was logged under.
- keystringquery
Name of the tag. The name must be an exact match; wild-card deletion is not supported. Maximum size is 250 bytes.
Get Model Version GA
GET
Get a model version.
API scopes: mlflow
Parameters
- namestringquery
Name of the registered model
- versionstringquery
Model version number
Response
- model_versionobject
Show child attributesHide child attributes
- namestring
Unique name of the model
- versionstring
Model's version number.
- creation_timestampint64
Timestamp recorded when this
model_versionwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
model_versionwas last updated.
- user_idstring
User that created this
model_version.
- current_stagestring
Current stage for this
model_version.
- descriptionstring
Description of this
model_version.
- sourcestring
URI indicating the location of the source model artifacts, used when creating
model_version
- run_idstring
MLflow run ID used when creating
model_version, ifsourcewas generated by an experiment run stored in MLflow tracking server.
- statusstring
Current status of
model_version
- status_messagestring
Details on current
status, if it is pending or failed.
- tagsarray of object
Tags: Additional metadata key-value pairs for this
model_version.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
Run Link: Direct link to the run that generated this version
Get Model Version Download Uri GA
GET
Gets a URI to download the model version.
API scopes: mlflow
Parameters
- namestringquery
Name of the registered model
- versionstringquery
Model version number
Response
- artifact_uristring
URI corresponding to where artifacts for this model version are stored.
List Registered Models GA
GET
Lists all available registered models, up to the limit specified in max_results.
API scopes: mlflow
Parameters
- max_resultsint64query
Maximum number of registered models desired. Max threshold is 1000.
- page_tokenstringquery
Pagination token to go to the next page based on a previous query.
Response
- registered_modelsarray of object
Show child attributesHide child attributes
- namestring
Unique name for the model.
- creation_timestampint64
Timestamp recorded when this
registered_modelwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
registered_modelwas last updated.
- user_idstring
User that created this
registered_model
- descriptionstring
Description of this
registered_model.
- latest_versionsarray of object
Collection of latest model versions for each stage. Only contains models with current
READYstatus.Show child attributesHide child attributes
- namestring
Unique name of the model
- versionstring
Model's version number.
- creation_timestampint64
Timestamp recorded when this
model_versionwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
model_versionwas last updated.
- user_idstring
User that created this
model_version.
- current_stagestring
Current stage for this
model_version.
- descriptionstring
Description of this
model_version.
- sourcestring
URI indicating the location of the source model artifacts, used when creating
model_version
- run_idstring
MLflow run ID used when creating
model_version, ifsourcewas generated by an experiment run stored in MLflow tracking server.
- statusstring
Current status of
model_version
- status_messagestring
Details on current
status, if it is pending or failed.
- tagsarray of object
Tags: Additional metadata key-value pairs for this
model_version.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
Run Link: Direct link to the run that generated this version
- tagsarray of object
Tags: Additional metadata key-value pairs for this
registered_model.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- next_page_tokenstring
Pagination token to request next page of models for the same query.
Rename Registered Model GA
POST
Renames a registered model.
API scopes: mlflow
Request body
- namestring
Registered model unique name identifier.
- new_namestring
If provided, updates the name for this
registered_model.
Response
- registered_modelobject
Show child attributesHide child attributes
- namestring
Unique name for the model.
- creation_timestampint64
Timestamp recorded when this
registered_modelwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
registered_modelwas last updated.
- user_idstring
User that created this
registered_model
- descriptionstring
Description of this
registered_model.
- latest_versionsarray of object
Collection of latest model versions for each stage. Only contains models with current
READYstatus.Show child attributesHide child attributes
- namestring
Unique name of the model
- versionstring
Model's version number.
- creation_timestampint64
Timestamp recorded when this
model_versionwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
model_versionwas last updated.
- user_idstring
User that created this
model_version.
- current_stagestring
Current stage for this
model_version.
- descriptionstring
Description of this
model_version.
- sourcestring
URI indicating the location of the source model artifacts, used when creating
model_version
- run_idstring
MLflow run ID used when creating
model_version, ifsourcewas generated by an experiment run stored in MLflow tracking server.
- statusstring
Current status of
model_version
- status_messagestring
Details on current
status, if it is pending or failed.
- tagsarray of object
Tags: Additional metadata key-value pairs for this
model_version.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
Run Link: Direct link to the run that generated this version
- tagsarray of object
Tags: Additional metadata key-value pairs for this
registered_model.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
Search Model Versions GA
GET
Searches for specific model versions based on the supplied filter.
API scopes: mlflow
Parameters
- filterstringquery
String filter condition, like "name='my-model-name'". Must be a single boolean condition, with string values wrapped in single quotes.
- max_resultsint64query
Maximum number of models desired. Max threshold is 10K.
- order_byarray of stringquery
List of columns to be ordered by including model name, version, stage with an optional "DESC" or "ASC" annotation, where "ASC" is the default. Tiebreaks are done by latest stage transition timestamp, followed by name ASC, followed by version DESC.
- page_tokenstringquery
Pagination token to go to next page based on previous search query.
Response
- model_versionsarray of object
Models that match the search criteria
Show child attributesHide child attributes
- namestring
Unique name of the model
- versionstring
Model's version number.
- creation_timestampint64
Timestamp recorded when this
model_versionwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
model_versionwas last updated.
- user_idstring
User that created this
model_version.
- current_stagestring
Current stage for this
model_version.
- descriptionstring
Description of this
model_version.
- sourcestring
URI indicating the location of the source model artifacts, used when creating
model_version
- run_idstring
MLflow run ID used when creating
model_version, ifsourcewas generated by an experiment run stored in MLflow tracking server.
- statusstring
Current status of
model_version
- status_messagestring
Details on current
status, if it is pending or failed.
- tagsarray of object
Tags: Additional metadata key-value pairs for this
model_version.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
Run Link: Direct link to the run that generated this version
- next_page_tokenstring
Pagination token to request next page of models for the same search query.
Search Registered Models GA
GET
Search for registered models based on the specified filter.
API scopes: mlflow
Parameters
- filterstringquery
String filter condition, like "name LIKE 'my-model-name'". Interpreted in the backend automatically as "name LIKE '%my-model-name%'". Single boolean condition, with string values wrapped in single quotes.
- max_resultsint64query
Maximum number of models desired. Default is 100. Max threshold is 1000.
- order_byarray of stringquery
List of columns for ordering search results, which can include model name and last updated timestamp with an optional "DESC" or "ASC" annotation, where "ASC" is the default. Tiebreaks are done by model name ASC.
- page_tokenstringquery
Pagination token to go to the next page based on a previous search query.
Response
- registered_modelsarray of object
Registered Models that match the search criteria.
Show child attributesHide child attributes
- namestring
Unique name for the model.
- creation_timestampint64
Timestamp recorded when this
registered_modelwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
registered_modelwas last updated.
- user_idstring
User that created this
registered_model
- descriptionstring
Description of this
registered_model.
- latest_versionsarray of object
Collection of latest model versions for each stage. Only contains models with current
READYstatus.Show child attributesHide child attributes
- namestring
Unique name of the model
- versionstring
Model's version number.
- creation_timestampint64
Timestamp recorded when this
model_versionwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
model_versionwas last updated.
- user_idstring
User that created this
model_version.
- current_stagestring
Current stage for this
model_version.
- descriptionstring
Description of this
model_version.
- sourcestring
URI indicating the location of the source model artifacts, used when creating
model_version
- run_idstring
MLflow run ID used when creating
model_version, ifsourcewas generated by an experiment run stored in MLflow tracking server.
- statusstring
Current status of
model_version
- status_messagestring
Details on current
status, if it is pending or failed.
- tagsarray of object
Tags: Additional metadata key-value pairs for this
model_version.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
Run Link: Direct link to the run that generated this version
- tagsarray of object
Tags: Additional metadata key-value pairs for this
registered_model.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- next_page_tokenstring
Pagination token to request the next page of models.
Set Model Version Tag GA
POST
Sets a model version tag.
API scopes: mlflow
Request body
- namestring
Unique name of the model.
- versionstring
Model version number.
- keystring
Name of the tag. Maximum size depends on storage backend. If a tag with this name already exists, its preexisting value will be replaced by the specified
value. All storage backends are guaranteed to support key values up to 250 bytes in size.
- valuestring
String value of the tag being logged. Maximum size depends on storage backend. All storage backends are guaranteed to support key values up to 5000 bytes in size.
Set Registered Model Tag GA
POST
Sets a tag on a registered model.
API scopes: mlflow
Request body
- namestring
Unique name of the model.
- keystring
Name of the tag. Maximum size depends on storage backend. If a tag with this name already exists, its preexisting value will be replaced by the specified
value. All storage backends are guaranteed to support key values up to 250 bytes in size.
- valuestring
String value of the tag being logged. Maximum size depends on storage backend. All storage backends are guaranteed to support key values up to 5000 bytes in size.
Update Model Version GA
PATCH
Updates the model version.
API scopes: mlflow
Request body
- namestring
Name of the registered model
- versionstring
Model version number
- descriptionstring
If provided, updates the description for this
registered_model.
Response
- model_versionobject
Return new version number generated for this model in registry.
Show child attributesHide child attributes
- namestring
Unique name of the model
- versionstring
Model's version number.
- creation_timestampint64
Timestamp recorded when this
model_versionwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
model_versionwas last updated.
- user_idstring
User that created this
model_version.
- current_stagestring
Current stage for this
model_version.
- descriptionstring
Description of this
model_version.
- sourcestring
URI indicating the location of the source model artifacts, used when creating
model_version
- run_idstring
MLflow run ID used when creating
model_version, ifsourcewas generated by an experiment run stored in MLflow tracking server.
- statusstring
Current status of
model_version
- status_messagestring
Details on current
status, if it is pending or failed.
- tagsarray of object
Tags: Additional metadata key-value pairs for this
model_version.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
Run Link: Direct link to the run that generated this version